Subject: Re: [PATCH v5 06/10] refs: do not check ref existence in `is_root_ref()`

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 16 May 2024 06:13:45 +0200

On Wed, May 15, 2024 at 03:38:47PM -0500, Justin Tobler wrote:
> On 24/05/15 08:50AM, Patrick Steinhardt wrote:
[snip]
> >     The new behaviour is to include symbolic refs know, which aligns us
> 
> s/know/now/

Fixed locally. I'll refrain from sending a new version just to fix this
typo though.

> >     with the adapted terminology. Furthermore, files which look like
> >     root refs but aren't are now mark those as "broken". As broken refs
> >     are not surfaced by our tooling, this should not lead to a change in
> >     user-visible behaviour, but may cause us to emit warnings. This
> >     feels like the right thing to do as we would otherwise just silently
> >     ignore corrupted root refs completely.
> 
> Is there an expected source of broken root refs? Or would it just be due
> to bugs?

Dangling symbolic refs are the only expected source. The fact that we
did not include those here feels like a bug to me.

Patrick